use 教学成绩管理数据库    --一条一条选中执行
go

create function [某班学生信息表](@class varchar(15))
returns table 
as
return (select * from 学生信息表视图 where 班级=@class)

select * from dbo.某班学生信息表('03软件技术')
select * from dbo.某班学生信息表('03电子商务')
select * from dbo.某班学生信息表('03网络工程')